Finally after far-too-long a wait for us OS X Leopard users, a new version of Growl is in Beta and it includes support for the Leopard-compatible version of GrowlMail. If you want to try it out check out the link below. If you have any issues that you want to report be sure to go to the GrowlMail Beta discussion thread and post there.

Growl Beta